#!/bin/bash

RELEASE="1.8.2"

# cloning the plugin and feature for already released version:1.8.2
# The feature is recently added to this release 
# but to the branch maintenance_1_8
# So, for releases before 1.9.x we use clone of this particular branch
hg clone http://javaforge.com:8000/hgeclipse -u maintenance_1_8 && \
mv hgeclipse eclipse-mercurial-${RELEASE} && \
tar cjf eclipse-mercurial-${RELEASE}.tar.bz2 eclipse-mercurial-${RELEASE} 
rm -rf eclipse-mercurial-${RELEASE}\

## once the upstream release is changed to 1.9.x, process will change to:
#hg clone http://javaforge.com:8000/hgeclipse
#pushd hgeclipse > /dev/null && \
#hg archive -r RELEASE_${RELEASE} eclipse-mercurial-${RELEASE} && \
#mv eclipse-mercurial-${RELEASE} ../ && \
#popd > /dev/null && \
#tar cjf eclipse-mercurial-${RELEASE}.tar.bz2 eclipse-mercurial-${RELEASE} 
#rm -rf hgeclipse eclipse-mercurial-${RELEASE}\
